<template>
  <div class="container status">
    <h1>This is an status page</h1>
    <StatusComponent :msg="msg"/>
  </div>
</template>

<script>
import axios from 'axios';

// @ is an alias to /src
import StatusComponent from '@/components/StatusComponent.vue';

export default {
  name: 'Status',
  components: {
    StatusComponent,
  },
  data() {
    return {
      msg: 'Loading ...',
    };
  },
  methods: {
    getMessage() {
      const path = 'http://localhost:5000/status';
      axios.get(path)
        .then((res) => {
          this.msg = res.data.value;
        })
        .catch((error) => {
          // eslint-disable-next-line
          console.error(error);
        });
    },
  },
  created() {
    this.getMessage();
  },
};
</script>
